Compiling l4re for BeagleBoard

Adam Lackorzynski adam at os.inf.tu-dresden.de
Fri Mar 4 18:21:21 CET 2011


Hi,

On Fri Mar 04, 2011 at 19:38:17 +0300, Ivan Bludov wrote:
> I'm trying to compile l4re for ARM (beagleboard). I used the cross-toolchain
> for AMR (from CodeSourcery and toolchain downloaded from your site), but I
> got errors during making configuration of l4 :
> 
> ===========================================================
> set -e; X="tmp.$$$RANDOM.c" ; echo 'int main(void){}'>$X ; \
>         rm -f $X.out ; LD_PRELOAD=libgendep.so
> LD_LIBRARY_PATH=/home/ibludov/Downloads/l4re-snapshot-2011022209.0/src/l4/build/tool/gendep/64:
> GENDEP_SOURCE=$X \
>         GENDEP_OUTPUT=$X.out  arm-linux-gcc -c $X -o $X.o; \
>         test -e $X.out; echo INT_CPP_NAME=`cat $X.out` \
> 
> >>/home/ibludov/Downloads/l4re-snapshot-2011022209.0/src/l4/build/.config.all;
> \
>         rm -f $X $X.{o,out};
> ERROR: ld.so: object 'libgendep.so' from LD_PRELOAD cannot be preloaded:
> ignored.
> ERROR: ld.so: object 'libgendep.so' from LD_PRELOAD cannot be preloaded:
> ignored.
> ERROR: ld.so: object 'libgendep.so' from LD_PRELOAD cannot be preloaded:
> ignored.
> ============================================================
> 
> These errors appear only when I use the arm-linux compiler and do not appear
> when I use host compiler. Is it a problem of toolchan or some other system
> libraries? Can you make some advise to fix it?

My guess is: You have a 64bit host system, the cross-compilers are
32bit, and thus the gendep library also needs to be 32bit but failed to
build for 32bit. Likely you need to install 32-bit development packages.
The LD_LIBRARY_PATH as shown above needs to have two paths (32 and 64
bit versions).



Adam
-- 
Adam                 adam at os.inf.tu-dresden.de
  Lackorzynski         http://os.inf.tu-dresden.de/~adam/




More information about the l4-hackers mailing list